/*------------------------------------------------------------------------------
--  This file is a part of the libuc, microcontroler library
--  Copyright (C) 2011, Alexis Jeandet
--
--  This program is free software; you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation; either version 3 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.
--
--  You should have received a copy of the GNU General Public License
--  along with this program; if not, write to the Free Software
--  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
-------------------------------------------------------------------------------
--                 Author : Alexis Jeandet
--                   Mail : alexis.jeandet@gmail.com
-------------------------------------------------------------------------------*/
#include "bsp.h"

unsigned int OSC0  =12000000;
unsigned int INTOSC =4000000;
unsigned int RTCOSC =32768;
unsigned int currentCpuFreq=0;
float VREF0 =(float)3.3;


int bsp_init()
{
	bsp_GPIO_init();
	bsp_uart_init();
	return 0;
}

void bsp_GPIO_init()
{
	/*GPIO_InitTypeDef  GPIO_InitStructure;
	RCC_AHB1PeriphClockCmd(RCC_AHB1Periph_GPIOD, ENABLE);
	RCC_AHB1PeriphClockCmd(RCC_AHB1Periph_GPIOB, ENABLE);*/
  /* Configure PG6 and PG8 in output pushpull mode */
  	/*GPIO_InitStructure.GPIO_Pin = GPIO_Pin_9 | GPIO_Pin_8;
  	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_OUT;
  	GPIO_InitStructure.GPIO_OType = GPIO_OType_PP;
  	GPIO_InitStructure.GPIO_Speed = GPIO_Speed_100MHz;
  	GPIO_InitStructure.GPIO_PuPd = GPIO_PuPd_NOPULL;
  	GPIO_Init(GPIOD, &GPIO_InitStructure);
  	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_15;
  	GPIO_Init(GPIOB, &GPIO_InitStructure); 
	LED1OFF;
	LED2OFF;
	LED3OFF;*/
	
}

void bsp_uart_init()
{
	RCC->APB1ENR |= (1<<17);     //Enable Clk for UART2
	GPIOA->MODER |= (2<<(2*2));      
	GPIOA->MODER &= ~(1<<(2*2));   //UART2 TX ON PA2
	GPIOA->AFR[0]  &= ~(7<<(4*2));   //Set alternate function AF0 on PA2 for uart2 tx 
}

void bsp_ssp_init()
{

}


void bsp_iic_init()
{

}

void bsp_SD_init()
{
	
}

void consoleputc(char c)
{
	
}


char consolegetc()
{
	return ' ';
}



void vs10XXclearXCS(){}
void vs10XXsetXCS(){}
int vs10XXDREQ()
{
	return 1;
}


void bsppowersdcard(char onoff)   //always ON
{
	
}

char bspsdcardpresent()
{
	return 0;
}

char bspsdcardwriteprotected()
{
	return 0;
}

void bspsdcardselect(char YESNO)
{
	
}





